
					
.row{
	/* center*/		
	padding    : 0px;
	width      : 1200px;
	margin     : 0px auto;	
	font-size  : 0;			
	text-align : left;	
	&.full{
		width:100%;	
	}			
	
	[class*="col-"]{							
		font-size          : 18px;					
		vertical-align     : top;	
		display            : inline-block;				
		color              : #8c8c8c;	
		-webkit-transition : width 0.8s ease-in-out;
		-moz-transition    : width 0.8s ease-in-out;
		-ms-transition     : width 0.8s ease-in-out;	
		-o-transition      : width 0.8s ease-in-out;
		transition         : width 0.8s ease-in-out; 
		padding            : $column_padding / 2 ;	 		
	}				

	.cell-content{

		font-size: 1em;	
		vertical-align: top;	
		display  : inline-block;				
		color    : #8c8c8c;	

		-webkit-transition : width 0.8s ease-in-out;
		-moz-transition    : width 0.8s ease-in-out;
		-ms-transition     : width 0.8s ease-in-out;	
		-o-transition      : width 0.8s ease-in-out;
		transition         : width 0.8s ease-in-out; 

		width:  720px;		
		margin: 0px auto;	
		display:block;	
		
		width: calc( 720px - #{$column_padding});
	}
				
	/*
		cols 1-*
	*/

		.col-1-1{			
			width: calc( 100% - #{$column_padding} );
		}	

		.col-1-2{			
			width: calc( 50% - #{$column_padding} );
		}			
		.col-1-3,		
		.col-extend-1-3{			
			width: calc( 33.3333% - #{$column_padding} );
		}	
		.col-1-4,
		.col-extend-1-4{
			width: calc( 25% - #{$column_padding} );
		}		
		.col-1-5,
		.col-extend-1-5{
			width: calc( 20% - #{$column_padding} );
		}	
		.col-1-6,
		.col-extend-1-6{	
			width: calc( 16.6667% - #{$column_padding} );
		}
		.col-1-7,
		.col-extend-1-7{	
			width: calc( 14.2857% - #{$column_padding} );
		}	
		.col-1-8,
		.col-extend-1-8 {
			width: calc( 12.5% - #{$column_padding} );
		}	
		.col-1-9,
		.col-extend-1-9{	
			width: calc( 11.1111% - #{$column_padding} );
		}
		.col-1-10,
		.col-extend-1-10{
			width: calc(  10% - #{$column_padding} );		
		}
		.col-1-11,
		.col-extend-1-11{
			width: calc( 91.6663% - #{$column_padding} );	
		}					
		.col-1-12,		
		.col-extend-1-12{		
			width: calc( 8.3333% - #{$column_padding} );	
		}		
	/*					
	*	cols extra
	*/	
		.col-extend-2-3{	
			width: calc( 66.6666% - #{$column_padding} );
		}	
		.col-extend-3-4{	
			width: calc( 75% - #{$column_padding} );
		}
		.col-extend-4-5{	
			width: calc( 80% - #{$column_padding} );
		}	
		.col-extend-5-6{	
			width: calc( 83.3335% - #{$column_padding} );
		}
		.col-extend-6-7{		
			width: calc( 85.7142% - #{$column_padding} );	
		}
		.col-extend-7-8{		
			width: calc( 87.5% - #{$column_padding} );
		}		
		.col-extend-8-9{		
				width: calc( 88.8888% - #{$column_padding} );
		}	
		.col-extend-9-10{	
			width: calc( 90% - #{$column_padding} );
		}			
		.col-extend-10-11{	
				width: calc( 90.9090% - #{$column_padding} );	
		}			
		.col-extend-11-12{			
			width: calc( 91.6663% - #{$column_padding} );
		}	

	/*	
		cols 2 - *
	*/
		.col-2-5{	
			width: calc(40% - #{$column_padding});	
		}			
		.col-2-6{
			width: calc(33.3334%  - #{$column_padding});
			
		}
		.col-2-7{	
			width: calc(28.5714%  - #{$column_padding});
		}
		.col-2-8{
			width: calc(25%  - #{$column_padding}) ;	
		}
		.col-2-9{
			width: calc( 22.2222%  - #{$column_padding});
		}
		.col-2-10{
			width: calc(20% - #{$column_padding});	
		}	
		.col-2-11{	
			width: calc( 18.1818% - #{$column_padding});
		}		
		.col-2-12{
			width: calc(16.6666%  - #{$column_padding});
		}

	/*	
		cols 2 - include
	*/
		.col-3-5{		
			width: calc(60%  - #{$column_padding});			
		}		
		.col-4-6{
			width: calc(66.6668% - #{$column_padding});
		}
		.col-5-7{
			width: calc(71.4285%  - #{$column_padding});
		}
		.col-6-8{
			width: calc( 75%  - #{$column_padding});	
		}
		.col-7-9{
			width: calc(77.7777%  - #{$column_padding});
		}
		.col-8-10{
			width: calc( 80%  - #{$column_padding});
		}		
		.col-9-11{
			width: calc( 81.8181%  - #{$column_padding});
		}						
		.col-10-12{
			width: calc( 83.3330%  - #{$column_padding});
		}

	/*	
		cols 3 - *
	*/

		.col-3-7{
			width: calc( 42.8571%  - #{$column_padding});
		}
		.col-3-8{
			width: calc( 37.5%  - #{$column_padding});
		}
		.col-3-9{
			width: calc( 33.3333%  - #{$column_padding});
		}
		.col-3-10{
			width: calc( 30%  - #{$column_padding});
		}		
		.col-3-11{
			width: calc( 27.2727%  - #{$column_padding});
		}		
		.col-3-12{
			width: calc( 24.9999%  - #{$column_padding});
		}

	/*	
		cols 3 - include
	*/
		.col-4-7{
			width: calc( 57.1428%  - #{$column_padding});	
		}	
		.col-5-8{	
			width: calc( 62.5%  - #{$column_padding});
		}	
		.col-6-9{	
			width: calc( 66.6666%  - #{$column_padding});
		}
		.col-7-10{
			width: calc( 70% - #{$column_padding});
		}			
		.col-8-11{
			width: calc( 72.7272%  - #{$column_padding});
		}				
		.col-9-12{	
			width: calc( 74.9997%  - #{$column_padding});
		}

	/*	
		cols 4 - *
	*/
		
		
		.col-4-9{
			width: calc( 44.4444%  - #{$column_padding});
		}
		.col-4-10{
			width: calc( 40% - #{$column_padding});
		}				
		.col-4-11{			
			width: calc( 36.3636%   - #{$column_padding});			
		}				
		.col-4-12{	
			width: calc( 33.3332% - #{$column_padding});
		}

	/*		
		cols 4 - include
	*/
		.col-5-9{	
			width: calc( 55.5555% - #{$column_padding});
		}
		.col-6-10{
			width: calc( 60%  - #{$column_padding});
		}				
		.col-7-11{
			width: calc( 63.6363%  - #{$column_padding});
		}				
		.col-8-12{					
			width: calc( 66.6664%  - #{$column_padding});
		}			
}
				
@media screen and (max-width: $screen_tablet){
	.row{				
		width:96%;	
		&.full{	
			width: 96%;
		}
		.col-1-12,
		.col-1-11{			
			 width: calc( 16.6667% - #{$column_padding});	
		}	

		.col-1-10,
		.col-1-9{
			width: calc( 20% - #{$column_padding});
		}
	}			
}			
@media screen and (max-width: $screen_middle){
	.row{		
		.col-1-12,
		.col-1-11{				
			width: calc( 33.3333% - #{$column_padding});
		}

		.col-1-10,
		.col-1-9{	
			width: calc( 50% - #{$column_padding});
		}

		.col-1-8,	
		.col-1-7{	
			width: calc( 25% - #{$column_padding});	
		}		

		.col-1-6,	
		.col-1-5{	
			width: calc( 33.3333% - #{$column_padding});
		}	

		.col-1-4,
		.col-1-3{
			width: calc( 50% - #{$column_padding});
		}
			
		.col-1-2{					
			width: calc( 100% - #{$column_padding});	
		}

		[class*="col-extend"],
		.cell-content{			
			width: calc( 100% - #{$column_padding});		
		}

		.col-2-3,
		.col-2-4,
		.col-2-5,.col-3-5,
		.col-2-6,.col-4-6,
		.col-2-7,.col-5-7,
		.col-2-8,.col-6-8,
		.col-2-9,.col-7-9,
		.col-2-10,.col-8-10,
		.col-2-11,.col-9-11,
		.col-2-12,.col-10-12,

		.col-3-7,.col-4-7,
		.col-3-8,.col-5-8,
		.col-3-9,.col-6-9,
		.col-3-10,.col-7-10,
		.col-3-11,.col-8-11,	
		.col-3-12,.col-9-12,

		.col-4-9,.col-5-9,
		.col-4-10,.col-6-10,
		.col-4-11,.col-7-11,
		.col-4-12,.col-8-12
		{				
			width: calc( 100% - #{$column_padding});
		}

	}			
}	
@media screen and (max-width: $screen_phone){
	.row{
		.col-1-8,			
		.col-1-7{			
			width: calc( 50% - #{$column_padding});	
		}			

		.col-1-2,
		.col-1-3,
		.col-1-4,
		.col-1-5,
		.col-1-6,{			
			width: calc( 100% - #{$column_padding});	
		}
	}			
				
}